//
//  ToolSetViewController.m
//  ToolSet
//
//  Created by Rama Krishna Chunduri on 6/11/12.
//  Copyright (c) 2012 CSS CORP. All rights reserved.
//

#import "ToolSetViewController.h"

@implementation ToolSetViewController

#pragma mark memory management

-(void)dealloc
{
	[tableData release];
}

- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
    // Release any cached data, images, etc that aren't in use.
}

#pragma mark -
#pragma mark - View lifecycle

- (void)viewDidLoad
{
	tableData=[[NSMutableDictionary alloc] init];
	
	NSMutableArray *freeSet=[[[NSMutableArray alloc] init] autorelease];
	[tableData setObject:freeSet forKey:@"Free"];
	
	[freeSet addObject:@"Centigrade to FarenHeit"];
	[freeSet addObject:@"Meters to Killometers"];
	
	#ifndef Lite
		NSMutableArray *paidSet=[[[NSMutableArray alloc] init] autorelease];
		[tableData setObject:paidSet forKey:@"Paid"];
		[paidSet addObject:@"Intrest Calculator"];
		[paidSet addObject:@"Calculator"];
		[paidSet addObject:@"Internet Speed"];
	#endif
	
    [super viewDidLoad];
}

#pragma mark -
#pragma mark tableview source

-(NSArray*)itemsForKey:(NSString*)key
{
	return [tableData objectForKey:key];
}

-(NSString*)keyAtIndex:(NSInteger)index
{
	return [[tableData allKeys] objectAtIndex:index];
}

-(NSString*)tableView:(UITableView *)tableView titleForHeaderInSection:(NSInteger)section
{
	return [self keyAtIndex:section];
}

-(NSInteger)numberOfSectionsInTableView:(UITableView *)tableView
{
	return tableData.allKeys.count;
}

-(NSInteger)tableView:(UITableView *)tableView numberOfRowsInSection:(NSInteger)section
{
	NSArray *toolset=[self itemsForKey:[self keyAtIndex:section]];
	return toolset.count;
}

-(UITableViewCell*)tableView:(UITableView *)tableView cellForRowAtIndexPath:(NSIndexPath *)indexPath
{
	UITableViewCell *cell=[tableView dequeueReusableCellWithIdentifier:@"cell"];
	if(cell==nil)
	{
		cell=[[UITableViewCell alloc] initWithStyle:UITableViewCellStyleDefault reuseIdentifier:@"cell"];
	}
	
	NSArray *toolset=[self itemsForKey:[self keyAtIndex:indexPath.section]];
	
	NSString *cellText=[toolset  objectAtIndex:indexPath.row];
	
	cell.textLabel.text=cellText;
	
	return cell;
}

#pragma mark -
@end